searchNodes=[{"doc":"The client interface for connecting to the Snowflake data warehouse.The main entry point to this module is Snowflex.sql_query. This function takes a string containing a SQL query and returns a list of maps (one per row). NOTE: due to the way the Erlang ODBC works, all values comeback as strings. You will need to cast values appropriately.","ref":"Snowflex.html","title":"Snowflex","type":"module"},{"doc":"","ref":"Snowflex.html#cast_results/2","title":"Snowflex.cast_results/2","type":"function"},{"doc":"","ref":"Snowflex.html#int_param/1","title":"Snowflex.int_param/1","type":"function"},{"doc":"","ref":"Snowflex.html#param_query/4","title":"Snowflex.param_query/4","type":"function"},{"doc":"","ref":"Snowflex.html#sql_query/3","title":"Snowflex.sql_query/3","type":"function"},{"doc":"","ref":"Snowflex.html#string_param/2","title":"Snowflex.string_param/2","type":"function"},{"doc":"","ref":"Snowflex.html#t:odbc_data_type/0","title":"Snowflex.odbc_data_type/0","type":"type"},{"doc":"","ref":"Snowflex.html#t:precision/0","title":"Snowflex.precision/0","type":"type"},{"doc":"","ref":"Snowflex.html#t:query_opts/0","title":"Snowflex.query_opts/0","type":"type"},{"doc":"","ref":"Snowflex.html#t:query_param/0","title":"Snowflex.query_param/0","type":"type"},{"doc":"","ref":"Snowflex.html#t:scale/0","title":"Snowflex.scale/0","type":"type"},{"doc":"","ref":"Snowflex.html#t:size/0","title":"Snowflex.size/0","type":"type"},{"doc":"","ref":"Snowflex.html#t:sql_data/0","title":"Snowflex.sql_data/0","type":"type"},{"doc":"","ref":"Snowflex.html#t:value/0","title":"Snowflex.value/0","type":"type"},{"doc":"Defines a Snowflake connection.DefinitionWhen used, the connection expects the :otp_app option. You may also define a standard timeout. This will default to 60 seconds.If keep_alive? is set to true, each worker in the connection pool will periodically send a dummy query to Snowflake to keep the authenticated session from expiring.defmodule SnowflakeConnection do use Snowflex.Connection, otp_app: :my_app, timeout: :timer.seconds(60), keep_alive?: true endConfiguration should be extended in your config files.# config/prod.exs config :my_app, SnowflakeConnection, size: [ max: 10, min: 5 ], connection: [ server: &quot;snowflex.us-east-8.snowflakecomputing.com&quot;, role: &quot;DEV&quot;, warehouse: &quot;CUSTOMER_DEV_WH&quot; ]The connection will default to using the Snowflex.Worker module. You are able to define a diferent one for testing/development purposes in your configurations as well.# config/dev.exs config :my_app, SnowflakeConnection, size: [ max: 1, min: 1 ], worker: MyApp.MockWorkerUsageEnsure the connection is started as part of your application.defmodule MyApp.Application do def start(_, _) do ... children = [ ..., SnowflakeConnection ] end endexecute/1query = &quot;SELECT * FROM foo&quot; SnowflakeConnection.execute(query)execute/2query = &quot;&quot;&quot; SELECT * FROM foo WHERE bar = ? &quot;&quot;&quot; SnowflakeConnection.execute(query, [Snowflex.string_param(&quot;baz&quot;)])","ref":"Snowflex.Connection.html","title":"Snowflex.Connection","type":"behaviour"},{"doc":"Wraps Snowflex.sql_query/3 and injects the relevant information from the connection","ref":"Snowflex.Connection.html#c:execute/1","title":"Snowflex.Connection.execute/1","type":"callback"},{"doc":"Wraps Snowflex.param_query/4 and injects the relevant information from the connection","ref":"Snowflex.Connection.html#c:execute/2","title":"Snowflex.Connection.execute/2","type":"callback"}]